> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/security-testing-agent-apis/security-testing-orchestration/qwietproxy.md).

# Qwietproxy

Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths.

## Validate org ngsast config

> sl POST /api/v2/organizations/{accountId}/config/validate

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/organizations/{accountId}/config/validate":{"post":{"tags":["qwietproxy"],"summary":"Validate org ngsast config","description":"sl POST /api/v2/organizations/{accountId}/config/validate","operationId":"qwietproxy#ValidateOrgConfig","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Upload policy protobuf

> sl POST /api/v2/policies/{accountId}/upload. Protobuf PolicyRequest; path org rewritten to Qwiet org UUID.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_testtarget_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/policies/{accountId}/upload":{"post":{"tags":["qwietproxy"],"summary":"Upload policy protobuf","description":"sl POST /api/v2/policies/{accountId}/upload. Protobuf PolicyRequest; path org rewritten to Qwiet org UUID.","operationId":"qwietproxy#UploadPolicy","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK response.","content":{"application/x-protobuf":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Validate policy protobuf

> sl POST /api/v2/policies/{accountId}/validate. Protobuf PolicyRequest; path org rewritten to Qwiet org UUID.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_testtarget_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/policies/{accountId}/validate":{"post":{"tags":["qwietproxy"],"summary":"Validate policy protobuf","description":"sl POST /api/v2/policies/{accountId}/validate. Protobuf PolicyRequest; path org rewritten to Qwiet org UUID.","operationId":"qwietproxy#ValidatePolicy","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK response.","content":{"application/x-protobuf":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## List apps

> Proxy Qwiet GET /api/v4/orgs/{org}/apps.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps":{"get":{"tags":["qwietproxy"],"summary":"List apps","description":"Proxy Qwiet GET /api/v4/orgs/{org}/apps.","operationId":"qwietproxy#ListApps","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get merged scanner settings

> Scanner settings merged for scan-time. Variant id from the X-Harness-App header; never 404.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps/{app}/configuration/merged":{"get":{"tags":["qwietproxy"],"summary":"Get merged scanner settings","description":"Scanner settings merged for scan-time. Variant id from the X-Harness-App header; never 404.","operationId":"qwietproxy#GetMergedScannerSettings","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"orgId","in":"query","description":"Harness Organization ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"projectId","in":"query","description":"Harness Project ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"targetName","in":"query","description":"STO target name. Same name may exist as both repository and container.","allowEmptyValue":true,"schema":{"type":"string","description":"STO target name. Same name may exist as both repository and container."}},{"name":"targetType","in":"query","description":"STO target type (repository or container). Same name may exist as both.","allowEmptyValue":true,"schema":{"type":"string","description":"STO target type (repository or container). Same name may exist as both."}},{"name":"targetId","in":"query","description":"Optional Harness target ID. When set, provided org/project/name/type must match this target.","allowEmptyValue":true,"schema":{"type":"string","description":"Optional Harness target ID. When set, provided org/project/name/type must match this target.","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"productName","in":"query","description":"Seeded product.name; default shiftleft","allowEmptyValue":true,"schema":{"type":"string","description":"Seeded product.name; default shiftleft"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## List app findings

> Proxy Qwiet GET /api/v4/orgs/{org}/apps/{app}/findings.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps/{app}/findings":{"get":{"tags":["qwietproxy"],"summary":"List app findings","description":"Proxy Qwiet GET /api/v4/orgs/{org}/apps/{app}/findings.","operationId":"qwietproxy#ListAppFindings","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## List finding comments

> Proxy Qwiet GET finding comments.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps/{app}/findings/{findingId}/comments":{"get":{"tags":["qwietproxy"],"summary":"List finding comments","description":"Proxy Qwiet GET finding comments.","operationId":"qwietproxy#ListFindingComments","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"findingId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get finding dataflow

> Proxy Qwiet GET finding dataflow.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps/{app}/findings/{findingId}/scans/{scanId}/dataflow":{"get":{"tags":["qwietproxy"],"summary":"Get finding dataflow","description":"Proxy Qwiet GET finding dataflow.","operationId":"qwietproxy#GetFindingDataflow","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"findingId","in":"path","required":true,"schema":{"type":"string"}},{"name":"scanId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get finding SCA reachability

> Proxy Qwiet GET finding new-sca-reachability.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps/{app}/findings/{findingId}/scans/{scanId}/new-sca-reachability":{"get":{"tags":["qwietproxy"],"summary":"Get finding SCA reachability","description":"Proxy Qwiet GET finding new-sca-reachability.","operationId":"qwietproxy#GetFindingNewSCAReachability","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"findingId","in":"path","required":true,"schema":{"type":"string"}},{"name":"scanId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## List app scans

> Proxy Qwiet GET /api/v4/orgs/{org}/apps/{app}/scans.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps/{app}/scans":{"get":{"tags":["qwietproxy"],"summary":"List app scans","description":"Proxy Qwiet GET /api/v4/orgs/{org}/apps/{app}/scans.","operationId":"qwietproxy#ListAppScans","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Put scan findings

> Upload scanner-path findings

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps/{app}/scans/{scanId}/findings":{"put":{"tags":["qwietproxy"],"summary":"Put scan findings","description":"Upload scanner-path findings","operationId":"qwietproxy#PutFindings","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"scanId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Update scan status

> Update external scan pipeline status

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps/{app}/scans/{scanId}/status":{"put":{"tags":["qwietproxy"],"summary":"Update scan status","description":"Update external scan pipeline status","operationId":"qwietproxy#UpdateScanStatus","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"scanId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## List app branches

> Proxy Qwiet GET /api/v4/orgs/{org}/apps/branches.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/apps/branches":{"get":{"tags":["qwietproxy"],"summary":"List app branches","description":"Proxy Qwiet GET /api/v4/orgs/{org}/apps/branches.","operationId":"qwietproxy#ListAppBranches","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get autofix configuration

> Proxy Qwiet GET /api/v4/orgs/{org}/autofix\_configuration.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/autofix_configuration":{"get":{"tags":["qwietproxy"],"summary":"Get autofix configuration","description":"Proxy Qwiet GET /api/v4/orgs/{org}/autofix_configuration.","operationId":"qwietproxy#GetAutofixConfiguration","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get compound findings

> Proxy Qwiet compound findings. Plugin must not call Qwiet APIv4.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/compounds/byname/{app}/findings":{"get":{"tags":["qwietproxy"],"summary":"Get compound findings","description":"Proxy Qwiet compound findings. Plugin must not call Qwiet APIv4.","operationId":"qwietproxy#GetCompoundFindings","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"polyglot_scan","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"page","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"per_page","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"finding_fields","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"agents","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## List compound branches

> Proxy Qwiet GET /api/v4/orgs/{org}/compounds/named/{app}/branches.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/compounds/named/{app}/branches":{"get":{"tags":["qwietproxy"],"summary":"List compound branches","description":"Proxy Qwiet GET /api/v4/orgs/{org}/compounds/named/{app}/branches.","operationId":"qwietproxy#ListNamedCompoundBranches","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## List SCA packages

> Proxy Qwiet SCA packages for license enrichment.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/compounds/named/{app}/sca/packages":{"get":{"tags":["qwietproxy"],"summary":"List SCA packages","description":"Proxy Qwiet SCA packages for license enrichment.","operationId":"qwietproxy#ListSCAPackages","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"polyglot_scan","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"page","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"per_page","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"agents","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## List compound scans

> Proxy Qwiet GET /api/v4/orgs/{org}/compounds/named/{app}/scans.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/compounds/named/{app}/scans":{"get":{"tags":["qwietproxy"],"summary":"List compound scans","description":"Proxy Qwiet GET /api/v4/orgs/{org}/compounds/named/{app}/scans.","operationId":"qwietproxy#ListNamedCompoundScans","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## GET /api/v4/orgs/{accountId}/compounds/named/{app}/scans/streamlined

> ListStreamlinedScans qwietproxy

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/compounds/named/{app}/scans/streamlined":{"get":{"tags":["qwietproxy"],"summary":"ListStreamlinedScans qwietproxy","operationId":"qwietproxy#ListStreamlinedScans","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## GET /api/v4/orgs/{accountId}/compounds/named/{app}/scans/streamlined/{scanId}

> GetStreamlinedScan qwietproxy

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/compounds/named/{app}/scans/streamlined/{scanId}":{"get":{"tags":["qwietproxy"],"summary":"GetStreamlinedScan qwietproxy","operationId":"qwietproxy#GetStreamlinedScan","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"scanId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get streamlined compounds summary

> Proxy Qwiet GET /api/v4/orgs/{org}/compounds/summary/streamlined.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/compounds/summary/streamlined":{"get":{"tags":["qwietproxy"],"summary":"Get streamlined compounds summary","description":"Proxy Qwiet GET /api/v4/orgs/{org}/compounds/summary/streamlined.","operationId":"qwietproxy#GetCompoundsSummaryStreamlined","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get org scanner settings

> sl GET /api/v4/orgs/{accountId}/configuration. Account-scoped scanner settings fallback when app merged 404s. Never 404.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/configuration":{"get":{"tags":["qwietproxy"],"summary":"Get org scanner settings","description":"sl GET /api/v4/orgs/{accountId}/configuration. Account-scoped scanner settings fallback when app merged 404s. Never 404.","operationId":"qwietproxy#GetOrgConfiguration","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"productName","in":"query","description":"Seeded product.name; default shiftleft","allowEmptyValue":true,"schema":{"type":"string","description":"Seeded product.name; default shiftleft"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Create external scan

> Create an external (scanner-path) scan

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/scans":{"post":{"tags":["qwietproxy"],"summary":"Create external scan","description":"Create an external (scanner-path) scan","operationId":"qwietproxy#CreateExternalScan","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get NGSAST subscription

> License and capabilities for analyze (STO license check). Both gRPC hosts or neither.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/subscriptions/ngsast":{"get":{"tags":["qwietproxy"],"summary":"Get NGSAST subscription","description":"License and capabilities for analyze (STO license check). Both gRPC hosts or neither.","operationId":"qwietproxy#GetSubscription","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get Ocular subscription

> sl GET /api/v4/orgs/{accountId}/subscriptions/ocular. Same STO license as ngsast.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/orgs/{accountId}/subscriptions/ocular":{"get":{"tags":["qwietproxy"],"summary":"Get Ocular subscription","description":"sl GET /api/v4/orgs/{accountId}/subscriptions/ocular. Same STO license as ngsast.","operationId":"qwietproxy#GetOcularSubscription","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Look up package info

> Proxy Qwiet POST /api/v4/package\_info.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/package_info":{"post":{"tags":["qwietproxy"],"summary":"Look up package info","description":"Proxy Qwiet POST /api/v4/package_info.","operationId":"qwietproxy#PostPackageInfo","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Create upload with agent

> Start a Qwiet upload session with LSP/agent prefix

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/private/{agent}/orgs/{accountId}/uploads":{"post":{"tags":["qwietproxy"],"summary":"Create upload with agent","description":"Start a Qwiet upload session with LSP/agent prefix","operationId":"qwietproxy#CreateUploadWithAgent","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"agent","in":"path","description":"LSP/agent prefix","required":true,"schema":{"type":"string","description":"LSP/agent prefix"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Finalize upload with agent

> Finalize a Qwiet upload session created with LSP/agent prefix (--lsp-prefix=harness)

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/private/{agent}/orgs/{accountId}/uploads/{uploadId}":{"post":{"tags":["qwietproxy"],"summary":"Finalize upload with agent","description":"Finalize a Qwiet upload session created with LSP/agent prefix (--lsp-prefix=harness)","operationId":"qwietproxy#FinalizeUploadWithAgent","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"agent","in":"path","description":"LSP/agent prefix","required":true,"schema":{"type":"string","description":"LSP/agent prefix"}},{"name":"uploadId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Read authenticated user

> sl GET /api/v4/private/me. Session check. accountId query optional; email from token; membership when account is known.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["core_account_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/private/me":{"get":{"tags":["qwietproxy"],"summary":"Read authenticated user","description":"sl GET /api/v4/private/me. Session check. accountId query optional; email from token; membership when account is known.","operationId":"qwietproxy#GetMe","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## POST /api/v4/private/orgs/{accountId}/analyze-failures

> ReportAnalyzeFailure qwietproxy

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/private/orgs/{accountId}/analyze-failures":{"post":{"tags":["qwietproxy"],"summary":"ReportAnalyzeFailure qwietproxy","operationId":"qwietproxy#ReportAnalyzeFailure","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## POST /api/v4/private/orgs/{accountId}/analyze-failures/log-upload

> RequestAnalyzeFailureLogUpload qwietproxy

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/private/orgs/{accountId}/analyze-failures/log-upload":{"post":{"tags":["qwietproxy"],"summary":"RequestAnalyzeFailureLogUpload qwietproxy","operationId":"qwietproxy#RequestAnalyzeFailureLogUpload","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"query","allowEmptyValue":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get merged autofix config

> sl GET autofix/config/merged. Same merge as app configuration; response is AutofixConfiguration only.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/private/orgs/{accountId}/apps/{app}/autofix/config/merged":{"get":{"tags":["qwietproxy"],"summary":"Get merged autofix config","description":"sl GET autofix/config/merged. Same merge as app configuration; response is AutofixConfiguration only.","operationId":"qwietproxy#GetMergedAutofixConfig","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"orgId","in":"query","description":"Harness Organization ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"projectId","in":"query","description":"Harness Project ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"targetName","in":"query","description":"STO target name","allowEmptyValue":true,"schema":{"type":"string","description":"STO target name"}},{"name":"targetType","in":"query","description":"STO target type (repository or container)","allowEmptyValue":true,"schema":{"type":"string","description":"STO target type (repository or container)"}},{"name":"targetId","in":"query","description":"Optional Harness target ID","allowEmptyValue":true,"schema":{"type":"string","description":"Optional Harness target ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"productName","in":"query","description":"Seeded product.name; default shiftleft","allowEmptyValue":true,"schema":{"type":"string","description":"Seeded product.name; default shiftleft"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get branch fixes

> Proxy Qwiet GET /api/v4/private/orgs/{org}/apps/{app}/branch/{branch}/fixes.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/private/orgs/{accountId}/apps/{app}/branch/{branch}/fixes":{"get":{"tags":["qwietproxy"],"summary":"Get branch fixes","description":"Proxy Qwiet GET /api/v4/private/orgs/{org}/apps/{app}/branch/{branch}/fixes.","operationId":"qwietproxy#GetBranchFixes","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"branch","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get finding fixes

> Proxy Qwiet GET /api/v4/private/orgs/{org}/apps/{app}/findings/{findingId}/fixes.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/private/orgs/{accountId}/apps/{app}/findings/{findingId}/fixes":{"get":{"tags":["qwietproxy"],"summary":"Get finding fixes","description":"Proxy Qwiet GET /api/v4/private/orgs/{org}/apps/{app}/findings/{findingId}/fixes.","operationId":"qwietproxy#GetFindingFixes","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"findingId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## Get app namespaces

> Language namespace include/exclude lists

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"qwietproxy","description":"Harness Qwiet reverse-proxy analyze APIs on Qwiet-compatible /api/v4 and /api/v2 (config validate, policy upload/validate) paths."}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_scan_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v4/private/orgs/{accountId}/apps/{app}/namespaces/{language}":{"get":{"tags":["qwietproxy"],"summary":"Get app namespaces","description":"Language namespace include/exclude lists","operationId":"qwietproxy#GetNamespaces","parameters":[{"name":"accountId","in":"path","description":"Harness Account ID","required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"app","in":"path","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header.","required":true,"schema":{"type":"string","description":"Qwiet app id {org}-{project}-{target} (sanitized). Org/project (first two '-' segments) must match the X-Harness-App header ({org}/{project}/{target}[~{variantId}]); Harness ACL uses that header."}},{"name":"language","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"
[...]
